from sqlalchemy import create_engine
from database.models import Base, Category, Product, PriceRecord
from database.edm_models import PromoProduct
from config import DATABASE_PATH

def initialize():
    engine = create_engine(DATABASE_PATH)
    Base.metadata.create_all(engine)
    print("✅ 資料庫結構建立完成 (包含 products, categories, price_records, promo_products)")

if __name__ == "__main__":
    initialize()